Xerces 3.1.1

## org.w3c.dom.html
Interface HTMLLIElement

All Known Implementing Classes:
  HTMLLIElementImpl

public interface HTMLLIElement
extends HTMLElement

List item. See the LI element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` `getType()` List item bullet style.
`int` `getValue()` Reset sequence number when used in `OL` .
`void` `setType(java.lang.String type)`
`void` `setValue(int value)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getType

    public java.lang.String getType()

  List item bullet style. See the type attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setType

    public void setType(java.lang.String type)

### getValue

    public int getValue()

  Reset sequence number when used in `OL` . See the value attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.

### setValue

    public void setValue(int value)

Xerces 3.1.1